> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# Get Holiday

GET https://api.elevenlabs.io/v1/reception/holidays/{holiday_id}

Get a specific holiday by ID

Reference: https://elevenlabs.io/docs/api-reference/reception/holidays/get

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `holiday_id` (string, required)

### Headers

- `xi-workspace-id` (string, optional, nullable) — The customer workspace a reseller's API key acts on.

## Response

### 200

Risposta riuscita

- `name` (string, required)
- `start_date` (DateModel, required) — Represents a calendar date as individual numeric components.
- `end_date` (DateModel, required) — Represents a calendar date as individual numeric components.
- `time_off_type` (enum, required)
  - Allowed values: `staff`, `asset`, `location`
- `id` (string, required)
- `created_at_unix` (integer, required)
- `updated_at_unix` (integer, required)
- `holiday_type` (enum, optional, default: closed)
  - Allowed values: `closed`, `override`
- `override_hours` (list of TimeRangeModel, optional, nullable) — Replacement working hours when holiday_type is 'override'.
- `resource_id` (string, optional, nullable)
- `location_id` (string, optional, nullable) — For LOCATION type: the location this closure applies to.
- `reason` (string, optional, nullable)

## Errors

### 422 Unprocessable Entity Error

Errore di convalida

- `detail` (list of ValidationError, optional)

## Types

### DateModel

Represents a calendar date as individual numeric components.

- `year` (integer, required) — Year
- `month` (integer, required) — Month (1-12)
- `day` (integer, required) — Day of month (1-31)

### TimeRangeModel

Represents a time-of-day range (e.g., 09:00-17:00) commonly used for working hours, available hours, or recurring schedules.

- `start_hour` (integer, required) — Start hour (0-23)
- `start_minute` (integer, required) — Start minute (0-59)
- `end_hour` (integer, required) — End hour (0-24, where 24:00 means midnight end-of-day)
- `end_minute` (integer, required) — End minute (0-59)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

- string
- integer

## Examples

**Response**

```json
{
  "name": "string",
  "start_date": {
    "year": 1,
    "month": 1,
    "day": 1
  },
  "end_date": {
    "year": 1,
    "month": 1,
    "day": 1
  },
  "time_off_type": "staff",
  "id": "string",
  "created_at_unix": 1,
  "updated_at_unix": 1,
  "holiday_type": "closed",
  "override_hours": [
    {
      "start_hour": 1,
      "start_minute": 1,
      "end_hour": 1,
      "end_minute": 1
    }
  ],
  "resource_id": "string",
  "location_id": "string",
  "reason": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/reception/holidays/holiday_id"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/reception/holidays/holiday_id';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/reception/holidays/holiday_id"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/reception/holidays/holiday_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/reception/holidays/holiday_id")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/reception/holidays/holiday_id');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/reception/holidays/holiday_id");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/reception/holidays/holiday_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```